Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Problem of dependencies installing plugins (like Java EE Developer Tools)
Problem of dependencies installing plugins (like Java EE Developer Tools) [message #814834] Tue, 06 March 2012 23:35 Go to next message
gianfranchino mustafà is currently offline gianfranchino mustafàFriend
Messages: 4
Registered: March 2012
Junior Member
If i try to install Java EE developer Tools the result is this:
Quote:

Cannot complete the install because of a conflicting dependency.
Software being installed: Eclipse Java EE Developer Tools 3.3.2.v201111030500-7b7II1YFSK2WIuPRDEnExPV-RvTn (org.eclipse.jst.enterprise_ui.feature.feature.group 3.3.2.v201111030500-7b7II1YFSK2WIuPRDEnExPV-RvTn)
Software currently installed: Eclipse Platform 3.5.2 (Eclipse Platform 3.5.2)
Only one of the following can be installed at once:
Core Resource Management 3.7.101.v20120125-1505 (org.eclipse.core.resources 3.7.101.v20120125-1505)
Core Resource Management 3.6.0.R36x_v20100825-0600 (org.eclipse.core.resources 3.6.0.R36x_v20100825-0600)
Core Resource Management 3.5.2.R35x_v20091203-1235 (org.eclipse.core.resources 3.5.2.R35x_v20091203-1235)
Core Resource Management 3.7.100.v20110510-0712 (org.eclipse.core.resources 3.7.100.v20110510-0712)
Cannot satisfy dependency:
From: Eclipse Platform 3.5.2 (Eclipse Platform 3.5.2)
To: org.eclipse.core.resources [3.5.2.R35x_v20091203-1235]
Cannot satisfy dependency:
From: Eclipse Java EE Developer Tools 3.3.2.v201111030500-7b7II1YFSK2WIuPRDEnExPV-RvTn (org.eclipse.jst.enterprise_ui.feature.feature.group 3.3.2.v201111030500-7b7II1YFSK2WIuPRDEnExPV-RvTn)
To: org.eclipse.jst.ws.jaxrs.ui [1.0.401.v201108230518]
Cannot satisfy dependency:
From: JAX-RS Tools - UI 1.0.401.v201108230518 (org.eclipse.jst.ws.jaxrs.ui 1.0.401.v201108230518)
To: bundle org.eclipse.core.resources [3.5.100,4.0.0)

This is similar to that happens when i try to install other plugin (like Web Developer Tools).

I use Ubuntu Lucid, the version of Eclipse is Equinox.
Re: Problem of dependencies installing plugins (like Java EE Developer Tools) [message #814868 is a reply to message #814834] Wed, 07 March 2012 00:38 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3268
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 3/6/2012 4:35 PM, gianfranchino mustafà wrote:
> If i try to install Java EE developer Tools the result is this:
> [snip]
>
> I use Ubuntu Lucid, the version of Eclipse is Equinox.

I'm not certain I follow your last sentence, but if you mean to say that
you got Eclipse from Ubuntu Software Center, then throw it away and
download a proper one from eclipse.org. And when you do, download
Eclipse IDE for Java EE Developers and you won't have to install those
bits since they'd already be there.
Re: Problem of dependencies installing plugins (like Java EE Developer Tools) [message #814881 is a reply to message #814868] Wed, 07 March 2012 01:09 Go to previous messageGo to next message
gianfranchino mustafà is currently offline gianfranchino mustafàFriend
Messages: 4
Registered: March 2012
Junior Member
Yes, i have installed Eclipse from Ubuntu software center.

I think that your solutions isn't the best, because i may meet the same problems in the downloaded eclipse (from eclipse.org) when i try to install other plugins.

I have passed to the eclipse by Ubuntu software center just because i met similar problems when i was using eclipse by eclipse.org.
Eclipse wasn't to be able to resolve the dependencies, so i have passed to eclipse from Ubuntu software center thinking that the problems will reduce, but it didn't happen so i would resolve without changing eclipse version.

[Updated on: Wed, 07 March 2012 01:39]

Report message to a moderator

Re: Problem of dependencies installing plugins (like Java EE Developer Tools) [message #814931 is a reply to message #814881] Wed, 07 March 2012 02:39 Go to previous messageGo to next message
gianfranchino mustafà is currently offline gianfranchino mustafàFriend
Messages: 4
Registered: March 2012
Junior Member
Sorry, now that i'm thinkin about better, my eclipse doesn't come from Ubuntu software center, but from eclipse.org
Re: Problem of dependencies installing plugins (like Java EE Developer Tools) [message #815010 is a reply to message #814931] Wed, 07 March 2012 05:32 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3268
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 2012.03.06 19:39, gianfranchino mustafà wrote:
> Sorry, now that i'm thinkin about better, my eclipse doesn't come from
> Ubuntu software center, but from eclipse.org

Good. Never, never, never use Eclipse as downloaded from a distro
repository. Now, what Eclipse package did you get?
Re: Problem of dependencies installing plugins (like Java EE Developer Tools) [message #815852 is a reply to message #815010] Thu, 08 March 2012 05:28 Go to previous messageGo to next message
gianfranchino mustafà is currently offline gianfranchino mustafàFriend
Messages: 4
Registered: March 2012
Junior Member
eclipse-java-helios-SR2-linux-gtk-x86_64.tar
Re: Problem of dependencies installing plugins (like Java EE Developer Tools) [message #815873 is a reply to message #815852] Thu, 08 March 2012 06:16 Go to previous message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3268
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 2012.03.07 22:28, gianfranchino mustafà wrote:
> eclipse-java-helios-SR2-linux-gtk-x86_64.tar

If you want to do web applications, just download Eclipse IDE for Java
EE Developers (eclipse-jee-helios-SR2-linux-gtk-x86_64.tar.gz) and save
yourself the hassle.
Previous Topic:BIRT Installation Error
Next Topic:Export runnable Jar, blank launch configuration
Goto Forum:
  


Current Time: Tue Dec 23 00:54:13 GMT 2014

Powered by FUDForum. Page generated in 0.03431 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software